Skip to main content
Platform O&M/Backup Management/Backup Service (Plus)/Backup Service Operations

DeleteVolumeBackup

DeleteVolumeBackup

DELETE/zstack/v1/volume-backups/{uuid}

Operation ID

DeleteVolumeBackup

Since

2.6.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The UUID of the volume backup.

  • backupStorageUuids
    List

    Optional. The UUIDs of the backup storage.

  • deleteMode
    String

    Optional. The mode under which the backup is deleted.

Body Fields

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

  • handleDependency
    boolean

    Optional. whether to handle dependency when deleting volume backup.

Responses

200 OK

DELETE endpoints return an empty object on success, or a standard error structure on failure.

Success Response

{}

Error Response

{
  "error": {
    "code": "SYS.1001",
    "description": "A message or a operation timeout",
    "details": "Delete resource timeout after 300s"
  }
}